Bug 1237247 - Review Request: nghttp2 - library implementing the HTTP/2 protocol
Summary: Review Request: nghttp2 - library implementing the HTTP/2 protocol
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Kaspar // Dee'Kej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-30 15:39 UTC by Kamil Dudka
Modified: 2015-08-05 05:35 UTC (History)
3 users (show)

Fixed In Version: nghttp2-1.0.5-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-30 01:18:05 UTC
Type: ---
deekej: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Kamil Dudka 2015-06-30 15:39:27 UTC
Spec URL: https://kdudka.fedorapeople.org/nghttp2/nghttp2.spec
SRPM URL: https://kdudka.fedorapeople.org/nghttp2/nghttp2-1.0.5-1.fc23.src.rpm

Description: nghttp2 is a library implementing the Hypertext Transfer Protocol
version 2 (HTTP/2) protocol in C.  The package provides also experimental HTTP/2 client, server and proxy.

Fedora Account System Username: kdudka

Comment 1 David Kaspar // Dee'Kej 2015-07-14 16:30:55 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[C] = Pass - manually checked
>>> = Reviewer notes

===== MUST items =====

C/C++:
[C]: Package does not contain kernel modules.
[C]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[C]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[C]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2 or later)", "BSL (v1.0) MIT/X11
     (BSD like)", "Unknown or generated". 4 files have unknown license.
     Detailed output of licensecheck in
     /home/dkaspar/1237247-nghttp2/licensecheck.txt
[C]: License file installed when any subpackage combination is installed.
[-]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/licenses
[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/licenses

>>>: The license itself (COPYING) is part of the 'libnghttp2' package which is
     required to install the 'nghttp2' package. (The rpmlint check below does
     not see the %license macro correctly - more info @
https://lists.fedorahosted.org/pipermail/fedorareview/2015-February/000211.html).

[C]: %build honors applicable compiler flags or justifies otherwise.
[C]: Package contains no bundled libraries without FPC exception.
[C]: Changelog in prescribed format.
[C]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[C]: Development files must be in a -devel package
[C]: Package uses nothing in %doc for runtime.
[C]: Package consistently uses macros (instead of hard-coded directory
     names).
[C]: Package is named according to the Package Naming Guidelines.

[?]: Package does not generate any conflict.
>>>: Tested only on RHEL-7.2.

[C]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[C]: Requires correct, justified where necessary.
[C]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[C]: Useful -debuginfo package or justification otherwise.
[C]: Package is not known to require an ExcludeArch tag.
[C]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 1 files.
[C]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[C]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libnghttp2
[?]: Package functions as described.
[C]: Latest version is packaged.
[C]: Package does not include license text files separate from upstream.
[C]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[C]: Package should compile and build into binary rpms on all supported
     architectures.
[C]: %check is present and all tests pass.
[C]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nghttp2-1.0.5-1.fc23.x86_64.rpm
          libnghttp2-1.0.5-1.fc23.x86_64.rpm
          libnghttp2-devel-1.0.5-1.fc23.x86_64.rpm
          nghttp2-1.0.5-1.fc23.src.rpm
libnghttp2.x86_64: W: no-documentation
nghttp2.src: W: invalid-url Source0: https://github.com/tatsuhiro-t/nghttp2/releases/download/v1.0.5/nghttp2-1.0.5.tar.xz HTTP Error 403: Forbidden
4 packages and 0 specfiles checked; 0 errors, 2 warnings.

>>>: The no-documentation warning is caused because the fedora-review does not
     respect the %license macro as stated above.
>>>: The URL for Source0 is working correctly (fedora-review can't handle
     redirection correctly).

Rpmlint (debuginfo)
-------------------
Checking: nghttp2-debuginfo-1.0.5-1.fc23.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
>>>: Not a problem of the package.
libnghttp2.x86_64: W: private-shared-object-provides /usr/lib64/libnghttp2.so.14.0.5 libnghttp2.so.14()(64bit)
>>>: False-positive. Checked.
libnghttp2.x86_64: W: no-documentation
>>>: See the %license bug described above.
libnghttp2-devel.x86_64: W: only-non-binary-in-usr-lib
>>>: Expected behaviour.
4 packages and 0 specfiles checked; 0 errors, 3 warnings.


Requires
--------
nghttp2 (rpmlib, GLIBC filtered):
    /usr/bin/env
    libc.so.6()(64bit)
    libcrypto.so.10()(64bit)
    libcrypto.so.10(OPENSSL_1.0.1_EC)(64bit)
    libcrypto.so.10(libcrypto.so.10)(64bit)
    libev.so.4()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libnghttp2(x86-64)
    libnghttp2.so.14()(64bit)
    libpthread.so.0()(64bit)
    libssl.so.10()(64bit)
    libssl.so.10(libssl.so.10)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.2)(64bit)
    libstdc++.so.6(CXXABI_1.3.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

libnghttp2 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    rtld(GNU_HASH)

libnghttp2-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    libnghttp2(x86-64)
    libnghttp2.so.14()(64bit)
    pkgconfig

Provides
--------
nghttp2:
    nghttp2
    nghttp2(x86-64)

libnghttp2:
    libnghttp2
    libnghttp2(x86-64)
    libnghttp2.so.14()(64bit)

libnghttp2-devel:
    libnghttp2-devel
    libnghttp2-devel(x86-64)
    pkgconfig(libnghttp2)

Source checksums
----------------
https://github.com/tatsuhiro-t/nghttp2/releases/download/v1.0.5/nghttp2-1.0.5.tar.xz :
  CHECKSUM(SHA256) this package     : 8515822015016008ac536de92a7e3652c7dd4f67315ee415f26a30a505f8c821
  CHECKSUM(SHA256) upstream package : 8515822015016008ac536de92a7e3652c7dd4f67315ee415f26a30a505f8c821

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1237247
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
>>>: Tested on RHEL-7.2.

===== OVERALL RESULT =====
Review passed successfully.

Comment 2 Kamil Dudka 2015-07-14 19:31:38 UTC
Thanks for the review!

Comment 3 Kamil Dudka 2015-07-14 19:39:16 UTC
New Package SCM Request
=======================
Package Name: nghttp2
Short Description: library implementing the HTTP/2 protocol
Upstream URL: https://nghttp2.org/
Owners: kdudka
Branches: f21 f22 el6 epel7
InitialCC:

Comment 4 Kamil Dudka 2015-07-15 08:08:04 UTC
I forgot to include the f23 branch, shifting the request...

New Package SCM Request
=======================
Package Name: nghttp2
Short Description: library implementing the HTTP/2 protocol
Upstream URL: https://nghttp2.org/
Owners: kdudka
Branches: f22 f23 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2015-07-15 17:36:16 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-07-15 21:52:18 UTC
nghttp2-1.0.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/nghttp2-1.0.5-1.fc22

Comment 7 Fedora Update System 2015-07-15 21:52:26 UTC
nghttp2-1.0.5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nghttp2-1.0.5-1.el7

Comment 8 Fedora Update System 2015-07-16 01:47:43 UTC
nghttp2-1.0.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository.

Comment 9 Fedora Update System 2015-07-30 01:18:05 UTC
nghttp2-1.0.5-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 10 Fedora Update System 2015-08-05 05:35:03 UTC
nghttp2-1.0.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.